---
obj: application
arch-wiki: https://wiki.archlinux.org/title/S.M.A.R.T.
website: https://www.smartmontools.org
---

# smartctl

S.M.A.R.T. (Self-Monitoring, Analysis, and Reporting Technology) is a supplementary component built into many modern storage devices through which devices monitor, store, and analyze the health of their operation. Statistics are collected (temperature, number of reallocated sectors, seek errors...) which software can use to measure the health of a device, predict possible device failure, and provide notifications on unsafe values.

## Usage

Show all smart information: `smartctl -a /device`
